Subject: Re: bug#29726: 25.1; SIGSEGV in find-file

From: Marc Munro <[email-masked]>
Date: Sun, 17 Dec 2017 11:27:10 -0800

On Sun, 2017-12-17 at 19:23 +0200, Eli Zaretskii wrote:
> [Please keep the bug address on the CC list.]
> 
> OK, I've succeeded in reproducing the crash.  The immediate reason is
> clear, but I need to look a bit deeper to understand how did that
> reason come into existence.  Stay tuned.

:-)

Cool, thanks, and well done.

> (The problem with your code that caused a Lisp backtrace on my system
> is that you assume the outer-window-id frame parameter is non-nil and
> is always a number, but that is only true on X, and I'm on MS-
> Windows.
> I replaced outer-window-id with window-id to work around that; maybe
> you should do that as well.)

I'll look into it, thank you.

__
Marc